Addon icon

Shuttle Fleet 4.8 Release 2 fix for Orbiter 2006 2022-11-20

This addon can fix David413's Shuttle Fleet 4.8 to use for Orbiter 2006.

Requires David413's Shuttle Fleet 4.8
Supported Orbiter Version
  1. 2006-P1
Author
Johan2011
Downloads
29
Views
181
First release
Last update
Rating
0.00 star(s) 0 ratings

More addons from Johan2011

Top